VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::ResourceStub Class Reference

Remote stub implementation of the Resource API service. More...

Inherits vmware::vapi::metadata::metamodel::Resource.

List of all members.

## Public Member Functions
| ResourceStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.HashSet < string > | List ()
| Returns the set of resource types present across all the service elements contained in all the package elements.
global::System.Collections.Generic.HashSet < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of resource types present across all the service elements contained in all the package elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync ()
| Returns the set of resource types present across all the service elements contained in all the package elements.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.HashSet < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the set of resource types present across all the service elements contained in all the package elements.

## Detailed Description

Remote stub implementation of the Resource API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::ResourceStub::ResourceStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::ResourceStub::List | ( |  | ) | `[inline]`

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implements vmware::vapi::metadata::metamodel::Resource.

global::System.Collections.Generic.HashSet<string> vmware::vapi::metadata::metamodel::ResourceStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implements vmware::vapi::metadata::metamodel::Resource.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::ResourceStub::ListAsync | ( |  | ) | `[inline]`

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implements vmware::vapi::metadata::metamodel::Resource.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.HashSet<string> > vmware::vapi::metadata::metamodel::ResourceStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the set of resource types present across all the service elements contained in all the package elements.

Returns:
  Set of resource types The result will contain identifiers for the resource type: `com.vmware.vapi.resource` .

Implements vmware::vapi::metadata::metamodel::Resource.

The documentation for this class was generated from the following file:

- ResourceStub.cs